org.apache.ivy.core.deliver

## Class DefaultPublishingDRResolver

- java.lang.Object
- - org.apache.ivy.core.deliver.DefaultPublishingDRResolver

All Implemented Interfaces:
  PublishingDependencyRevisionResolver

    public class DefaultPublishingDRResolver
    extends java.lang.Object
    implements PublishingDependencyRevisionResolver

### Constructor Summary

Constructors
Constructor and Description
`DefaultPublishingDRResolver()`

### Method Summary

Methods
`java.lang.String` `resolve(ModuleDescriptor published, java.lang.String publishedStatus, ModuleRevisionId depMrid, java.lang.String status)` Returns the revision of the dependency for the publishing of the 'published' module in 'publishedStatus' status.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPublishingDRResolver

    public DefaultPublishingDRResolver()

### Method Detail

#### resolve

    public java.lang.String resolve(ModuleDescriptor published,
                           java.lang.String publishedStatus,
                           ModuleRevisionId depMrid,
                           java.lang.String status)

Description copied from interface: `PublishingDependencyRevisionResolver`
Returns the revision of the dependency for the publishing of the 'published' module in 'publishedStatus' status.

Specified by:
  `resolve` in interface `PublishingDependencyRevisionResolver`
Returns:
  the revision of the dependency